> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Lock File

> GetLockFile retrieves the deno lock file for a specific commit, if it exists.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/functions/{function_id}/commits/{commit_id}/lockfile
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/functions/{function_id}/commits/{commit_id}/lockfile:
    get:
      tags:
        - Function Commit
      summary: Get Lock File
      description: >-
        GetLockFile retrieves the deno lock file for a specific commit, if it
        exists.
      operationId: c1.api.functions.v1.FunctionsService.GetLockFile
      parameters:
        - in: path
          name: function_id
          required: true
          schema:
            description: The functionId field.
            readOnly: false
            type: string
        - in: path
          name: commit_id
          required: true
          schema:
            description: The commitId field.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.functions.v1.FunctionsServiceGetLockFileResponse
          description: >-
            FunctionsServiceGetLockFileResponse returns the deno lock file
            content for a commit.
      x-codeSamples:
        - lang: go
          label: GetLockFile
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Functions.GetLockFile(ctx, operations.C1APIFunctionsV1FunctionsServiceGetLockFileRequest{\n        CommitID: \"<id>\",\n        FunctionID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.FunctionsServiceGetLockFileResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.functions.getLockFile({
                functionId: "<id>",
                commitId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.functions.v1.FunctionsServiceGetLockFileResponse:
      description: >-
        FunctionsServiceGetLockFileResponse returns the deno lock file content
        for a commit.
      properties:
        content:
          description: The raw content of the deno lock file (empty if not found).
          format: base64
          readOnly: false
          type: string
        exists:
          description: Whether the lock file exists for this commit.
          readOnly: false
          type: boolean
      title: Functions Service Get Lock File Response
      type: object
      x-speakeasy-name-override: FunctionsServiceGetLockFileResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````